// src/api/authApi.js
import axios from 'axios';

const authApi = axios.create({
  baseURL: process.env.REACT_APP_API_AUTH,
  headers: {
    'Content-Type': 'application/json',
  }
});

// JWT 자동 포함 (로그인 이후 /me 호출 등에 사용 가능)
authApi.interceptors.request.use(config => {
  const token = localStorage.getItem('access');
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }
  return config;
});

export default authApi;
