// src/api/blogApi.js
import axios from 'axios';

const blogApi = axios.create({
  baseURL: process.env.REACT_APP_API_BLOG,
  headers: {
    'Content-Type': 'application/json',
  }
});

// 게시글 작성 시에도 JWT 필요하므로 interceptor 동일하게 구성
blogApi.interceptors.request.use(config => {
  const token = localStorage.getItem('access');
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }
  return config;
});

export default blogApi;
